<!-- Javascript to handle view actions. DO NOT TOUCH -->
<script type="text/javascript">
var handlerFunc = function(t) {
    if(t.responseText!="") setStatus(t.responseText, 1000, 'statusContainer');
}
var errFunc = function(t) {
    alert('Error ' + t.status + ' -- ' + t.statusText);
}
<!-- BEGIN DYNAMIC BLOCK: checkbox_updatejs -->
function UpdatePublic(objCheck)
{
    if(objCheck.checked) value=1;
    else value=0;

    Ext.Ajax.request({
           url: 'index.php?fuse=reports&action=UpdatePublic',
           success: function(t) {
                handlerFunc(t);
           },
           params: {reporttype : '{REPORTTYPE}',
                    reportname : '{REPORTNAME}',
                    publishvalue : value
           }
        });
}
<!-- END DYNAMIC BLOCK: checkbox_updatejs -->


<!-- BEGIN DYNAMIC BLOCK: checkbox2_updatejs -->
function UpdateDropdown(objCheck){
    if(objCheck.checked) value=1;
    else value=0;

    alert('here');
    Ext.Ajax.request({
           url: 'index.php?fuse=reports&action=UpdateDropdown',
           success: function(t) {
                handlerFunc(t);
           },
           params: {reporttype : '{REPORTTYPE}',
                    reportname : '{REPORTNAME}',
                    dropdownvalue : value
           }
        });

}
<!-- END DYNAMIC BLOCK: checkbox2_updatejs -->
</script>

<div style="margin-bottom: 10px; margin-top: 3px;" class="table-summary">
    <h2>Report Management</h2>
    The reports available below can be found in your plugins/reports directory
</div>

<div class="blue-box" style="padding-top:10px;padding:4px !important;">
    <table class="automation">
        <tbody>
            <tr>
                <td width="300">
                    <select onchange="jumpMenu('self',this,0);" style="width:auto;">
                        <!-- BEGIN DYNAMIC BLOCK: dropdownoption -->
                        <option {REPORTSELECTED} value="{REPORTURL}"> &nbsp;&nbsp;&nbsp;{REPORTNAME}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <!-- END DYNAMIC BLOCK: dropdownoption -->
                    </select>&nbsp;&nbsp;
                </td>
                <td align='left'>
                    <form method=post action=index.php name='report_options'>
                    <!-- BEGIN DYNAMIC BLOCK: checkbox -->
                    <input type=checkbox onclick='UpdatePublic(this);' name='public' {PUBLICCHECKED}>&nbsp;[l]Public[/l]&nbsp;{publicHelpPopup}
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <!-- END DYNAMIC BLOCK: checkbox -->

                    </form>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<br/>